'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
exports.deactivate = exports.activate = void 0;
const CustomPatternController = require("./CustomPatternController");
const CustomPatternDecorator = require("./CustomPatternDecorator");
// import TimePeriodCalculator = require('./TimePeriodCalculator')
// import TimePeriodController = require('./TimePeriodController')
// this method is called when the extension is activated
function activate(context) {
    // create a new time calculator and controller
    // const timeCalculator = new TimePeriodCalculator();
    // const timeController = new TimePeriodController(timeCalculator);
    // create log level colorizer and -controller
    const customPatternDecorator = new CustomPatternDecorator();
    const customPatternController = new CustomPatternController(customPatternDecorator);
    // Add to a list of disposables which are disposed when this extension is deactivated.
    context.subscriptions.push(customPatternController);
}
exports.activate = activate;
// this method is called when your extension is deactivated
function deactivate() {
    // Nothing to do here
}
exports.deactivate = deactivate;
//# sourceMappingURL=extension.js.map